pexpect (4.8.0-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987420). Remaining changes:
    - d/test/control: Keep needs-root Restriction, to fix flaky tests:
      "test_run_event_as_function/_method"
  * Work around an issue in bash (LP: 1097467) which causes --rcfile to
    override the user .bashrc but not the system-wide /etc/bash.bashrc. This
    affects the pexpect test-suite under environments in which the system-wide
    bashrc causes interactive shells to output additional preamble. Instead,
    use --norc (which suppresses both user and system-wide bashrc) and change
    PS1 via the environment.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 Aug 2022 17:13:09 +0100

pexpect (4.8.0-3) unstable; urgency=medium

  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since buster:
    + python-pexpect-doc: Drop versioned constraint on python-pexpect in
      Replaces.
    + python-pexpect-doc: Drop versioned constraint on python-pexpect in Breaks.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 17:32:53 +0100

pexpect (4.8.0-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - d/test/control: Keep needs-root Restriction, to fix flaky tests:
      "test_run_event_as_function/_method"
  * Dropped Ubuntu changes:
    - d/test/control: python-is-python3 dependency, fixed in Debian
    - d/test/control & d/rules: manual skipping of flaky tests

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 09 Aug 2021 12:01:12 +0200

pexpect (4.8.0-2) unstable; urgency=medium

  * Skip several flaky tests, both for build and autopkgtest (Closes: #986727)
  * Fix broken URL in d/watch

 -- Gordon Ball <gordon@chronitis.net>  Fri, 16 Apr 2021 11:00:22 +0000

pexpect (4.8.0-1ubuntu1) hirsute; urgency=medium

  * d/tests/control: skip flaky autopkgtests, add needs-root and
    python-is-python3 dependency (Closes: #986727)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 13 Apr 2021 11:29:48 +0200

pexpect (4.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pexpect-doc: Add Multi-Arch: foreign.

  [ Gordon Ball ]
  * Update homepage and watch URLs to use github, as now recommended by the
    previous homepage
  * New upstream version 4.8.0
  * Standards-Version 4.5.1, Debhelper compat 13, Rules-Requires-Root: no
  * Run the testsuite at build time, and as an autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 Jan 2021 19:51:00 +0000

pexpect (4.6.0-4) unstable; urgency=medium

  [ Lukas Märdian ]
  * Switch to Sphinx logging API to fix ftbfs; Closes: #955082
    - Apply fix from unbundled upstream package "sphinxcontrib_github_alt":
      1f1036514578016297f5f77e706fc91b2401bcf3

 -- Tobias Hansen <thansen@debian.org>  Sun, 30 Aug 2020 11:42:49 +0200

pexpect (4.6.0-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937275

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 09:52:58 -0400

pexpect (4.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entries 0.999-4, 0.999-3, 0.999-2.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 18:28:18 -0400

pexpect (4.6.0-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream release. (Closes: #890967)
    - Upstream renamed async to _async (Closes: #902646)
  * d/control: Update Standards-Version, no changes needed.
  * d/rules: remove _async.py for python2.7 (Thanks: Neil Williams)
  * d/control: Switch to python3-sphinx for documentation build

 -- Diane Trout <diane@ghic.org>  Sun, 01 Jul 2018 19:56:20 -0700

pexpect (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Removed Ganesan Rajagopal from Uploaders (Closes: #839665)
  * Bumped debhelper compat version to 10
  * Removed privacy breach in docs
  * d/copyright
    - Added copyright holders for Debian part
    - Added new upstream copyright holder
  * wrap-and-sort -t -a
  * Removed version from pre-wheezy dependency
  * Enabled autopkgtest-pkg-python testsuite
  * Bumped required version of Python to 2.7/3.3

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Dec 2016 15:59:09 +0100

pexpect (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Tobias Hansen ]
  * New upstream release (Closes: #832772)
  * Put Debian Python Modules Team into Maintainer field, the
    package is maintained by different team members since 8 years.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.8.
  * Bump dh compat to 9.
  * Install without *.install files.
  * Set http_proxy='127.0.0.1:9' for sphinx-build to prevent
    internet access (Closes: #833860)

 -- Tobias Hansen <thansen@debian.org>  Fri, 12 Aug 2016 13:44:14 +0000

pexpect (4.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #744844)
  * Bump standards-version to 3.9.6 (no change needed)
  * Fix PyPI URL in debian/watch.  Thanks Lintian
  * Build-depend on python-ptyprocess to generate the documentation
    properly
  * Depend on ptyprocess

 -- Javi Merino <vicho@debian.org>  Fri, 06 Nov 2015 10:57:06 +0000

pexpect (3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Add explicit dh-python Build-Depends.  (Closes: 744300)

 -- Barry Warsaw <barry@debian.org>  Thu, 08 May 2014 16:05:58 -0400

pexpect (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control:
    - In -doc, add breaks/replaces on python-pexcept <<3. Closes: #732915
    - Drop python-pexcept-doc to Suggests in both other packages.
      Closes: #732889
    - Bump standards-version to 3.9.5 (no changes)

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Jan 2014 11:22:03 +1100

pexpect (3.0-2) unstable; urgency=low

  * Team upload.
  * debian/copyright: Update to reflect upstreams change
    from Expat to ISC (Closes: #731945).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 12 Dec 2013 16:53:35 -0500

pexpect (3.0-1) unstable; urgency=low

  * Team upload.

  [ Thomas Kluyver ]
  * New upstream release. Closes: #729518
  * Add packaging for Python 3.
  * Use pybuild for packaging.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * Create debian/python3-pexpect.docs

  [ Andrew Starr-Bochicchio ]
  * Remove empty debian/patches dir.
  * Move documentation and examples into a new python-pexpect-doc
    package. They are shared between the Python 2 and Python 3 packages,
    so there is no need to install them with both.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 06 Dec 2013 20:20:26 -0500

pexpect (2.4-1) unstable; urgency=low

  * Team upload.

  [ Arthur de Jong ]
  * New upstream release (Closes: #609195).
  * Switch to 3.0 (quilt) source format.
  * Switch to dh-style debian/rules.
  * Moved packaging from python-central to dh_python2 (Closes: #616935,
    LP: #788514).
  * Drop Conflicts/Replaces on ancient versions which shipped in sarge.
  * Bump standards-version to 3.9.3.
  * Register documentation with doc-base.
  * Update debian/copyright (license is actually MIT instead of Python 2.3).
  * Fix syntax errors in one of the examples (closes: #580271)

  [ Piotr Ożarowski ]
  * Added Vcs-Svn and Vcs-Browser fields

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Carlos Galisteo ]
  * debian/control
    - Added Homepage field.

 -- Arthur de Jong <adejong@debian.org>  Fri, 09 Mar 2012 11:43:41 +0100

pexpect (2.3-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warnings:
        - Move debhelper to Build-Depends from Build-Depends-Indep.
        - Remove DH_COMPAT in debian/rules.
  	- Added debian/pycompat.
  	- Added #! line for examples/ssh_session.py.
  * Updated standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sun, 27 Jul 2008 18:21:35 +0530

pexpect (2.1-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490482.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:51:04 +0000

pexpect (2.1-1) unstable; urgency=low

  * New upstream version.
  * Included pxssh.py and fdpxpect.py (Closes: #356128).
  * Included docs and examples (Closes:  #230850).
  * Updated for new python policy using python-central (Closes: #373476).
  * Added watch file.

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 20 Jun 2006 09:54:09 +0530

pexpect (2.0-2) unstable; urgency=low

  * Included pexpect package into Python Modules repository.
  * Add python-modules-team@lists.alioth.debian.org to Uploaders.
  * Remove python2.2-pexpect package.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 15 Apr 2006 20:41:47 +0530

pexpect (2.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed *.docs to take README instead of README.txt.
  * Updated standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 28 Dec 2005 13:32:00 +0530

pexpect (0.999-5) unstable; urgency=low

  * Aargh. Install python2.4 binaries in the right place.
  * Added python2.4 to Build-depends.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 19 Feb 2005 08:17:09 +0530

pexpect (0.999-4) unstable; urgency=low

  * Really build pexpect for python 2.4.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sun, 09 Jan 2005 22:15:36 +0530

pexpect (0.999-3) unstable; urgency=low

  * Build python 2.4 package.
  * python-pexpect now depends on ${python:Depends}.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sun, 09 Jan 2005 22:10:36 +0530

pexpect (0.999-2) unstable; urgency=low

  * Build-depend on python (Closes: #258299).

 -- Ganesan Rajagopal <rganesan@debian.org>  Fri, 09 Jul 2004 09:45:36 +0530

pexpect (0.999-1) unstable; urgency=low

  * New upstream release (Closes: #257736).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 07 Jul 2004 11:48:36 +0530

pexpect (0.99-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 14 Oct 2003 17:36:36 +0530

pexpect (0.98-2) unstable; urgency=low

  * Don't ship python bytecode files (closes: #207313).

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon,  8 Sep 2003 12:57:01 +0530

pexpect (0.98-1) unstable; urgency=low

  * Initial packaging (Closes: #156784).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 13 Aug 2003 18:25:51 +0530
